Package it.ernytech.tdlib

## Class TdApi.PageBlockAuthorDate

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockAuthorDate

Enclosing class:
  TdApi

    public static class TdApi.PageBlockAuthorDate
    extends TdApi.PageBlock

The author and publishing date of a page.

### Field Summary

Fields
`TdApi.RichText` `author` Author.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `publishDate` Point in time (Unix timestamp) when the article was published; 0 if unknown.

### Constructor Summary

Constructors
`PageBlockAuthorDate()` Default constructor.
`PageBlockAuthorDate​(TdApi.RichText author, int publishDate)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### author

    public TdApi.RichText author

Author.

#### publishDate

    public int publishDate

Point in time (Unix timestamp) when the article was published; 0 if unknown.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockAuthorDate

    public PageBlockAuthorDate()

Default constructor.

#### PageBlockAuthorDate

    public PageBlockAuthorDate​(TdApi.RichText author,
                               int publishDate)

Constructor for initialization of all fields.

Parameters:
  `author` - Author.
  `publishDate` - Point in time (Unix timestamp) when the article was published; 0 if unknown.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR